首页   注册   登录
V2EX = way to explore
V2EX 是一个关于分享和探索的地方
现在注册
已注册用户请  登录
V2EX  ›  macOS

从 10.15 Beta 5 Release Notes 来看,以后 macOS 默认不自带 Python 、Ruby 和 Perl 了

  •  
  •   nyanyh · 70 天前 · 2215 次点击
    这是一个创建于 70 天前的主题,其中的信息可能已经有所发展或是发生改变。
    https://developer.apple.com/documentation/macos_release_notes/macos_catalina_10_15_beta_5_release_notes

    Scripting language runtimes such as Python, Ruby, and Perl are included in macOS for compatibility with legacy software. Future versions of macOS won ’ t include scripting language runtimes by default, and might require you to install additional packages. If your software depends on scripting languages, it ’ s recommended that you bundle the runtime within the app. (49764202)

    从这条发展路线来看,可能是 Apple 为了减少系统内置版本与用户手动安装的版本混乱带来的维护问题?
    13 回复  |  直到 2019-08-08 02:52:24 +08:00
        1
    xiaokiku   70 天前 via iPhone
    Nice!但是我都不用😒
        2
    imydou   70 天前
    我的 macbook pro 13' 2015 升级到 beta5 之后。只要插电源,闲置几分钟必然死机。
        3
    breaker911   70 天前
    估计是
    大概数据反馈上用户反正会用 homebrew 之类的再安装一下新版或者自己选择的版本 这样你自己安装反而调环境就更方便一点吧
        4
    boywang004   70 天前
    都走 homebrew 也好。
        5
    rootxigua   70 天前
    @imydou 老铁我也是和你一样的机器版本现象,你找到解决办法没?我在网上没搜到啥帖子讲这个的。
        6
    hkongm   70 天前
    brew 需要 ruby 啊
        7
    momocraft   70 天前
    那以后用 brew 要先下一个 bottled ruby bootstrap 吗
        8
    imydou   70 天前
        9
    rootxigua   70 天前
    @imydou 老铁和你请教下,你是发现问题直接上官网搜的还是用的搜索引擎,用了啥关键字吗?
        10
    imydou   70 天前
    @rootxigua #9 macos 10.15 beta 5 crash
        11
    imydou   70 天前
    @rootxigua #9 google
        12
    rootxigua   70 天前
    @imydou 谢告知
        13
    zzlove   70 天前
    收购 homebrew 吧
    关于   ·   FAQ   ·   API   ·   我们的愿景   ·   广告投放   ·   感谢   ·   实用小工具   ·   4169 人在线   最高记录 5043   ·     Select Language
    创意工作者们的社区
    World is powered by solitude
    VERSION: 3.9.8.3 · 29ms · UTC 05:42 · PVG 13:42 · LAX 22:42 · JFK 01:42
    ♥ Do have faith in what you're doing.